/*
 ** Copyright 2004-2009 - INL
 ** Written by Pierre Chifflier <chifflier@inl.fr>
 ** INL http://www.inl.fr/
 **
 ** This program is free software; you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, version 2 of the License.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program; if not, write to the Free Software
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <QtGui>

#include "logs.h"
#include "logs.moc"

#include <ui_logs.h>

extern "C" {
extern int debug_level;
}

NuLogsWindow::NuLogsWindow(QWidget *parent)
{
	ui = new Ui::LogsWindow();
	ui->setupUi(this);
}

void NuLogsWindow::addLine(int area, int level, char *format, va_list args)
{
	QString msg, text;
	QDateTime date = QDateTime::currentDateTime();
	const char *dateformat = "yyyy-MM-dd hh:mm:ss.zzz";

	msg.vsprintf(format, args);
	text = QString("[%1] %2").arg(date.toString(dateformat)).arg(msg);
	ui->edit->append( text );
	ui->edit->textCursor().movePosition(QTextCursor::End);
	ui->edit->ensureCursorVisible();
}

void NuLogsWindow(int level)
{
	debug_level = level;
}

